# Generated by Django 3.1.2 on 2020-10-30 18:36

from django.db import migrations


def capitalize_full_name(apps, schema_editor):
    # We can't import the Person model directly as it may be a newer
    # version than this migration expects. We use the historical version.
    Student = apps.get_model('core', 'Student').objects.all()
    Teacher = apps.get_model('core', 'Teacher').objects.all()
    model_list = [Student, Teacher]
    for models in model_list:
        for model in models:
            model.last_name = model.last_name.capitalize()
            model.first_name = model.first_name.capitalize()
            model.middle_name = model.middle_name.capitalize()
            model.save()


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0002_teacher_subject'),
    ]

    operations = [
        migrations.RunPython(capitalize_full_name),
    ]
